package space.blokk.net.event

import space.blokk.event.Cancellable
import space.blokk.net.Session

/**
 * Emitted when the client sends his brand during the login process.
 */
class ClientBrandReceivedEvent(
    override val target: Session,
    var brand: String
) : SessionEvent(), Cancellable {
    override var cancelled = false
}
