package space.blokk.world.block

import kotlin.annotation.Target

/**
 * @suppress
 */
@Retention
@Target(AnnotationTarget.PROPERTY)
internal annotation class Attribute(
    /**
     * The maximum allowed value of this attribute.
     * Silently ignored for properties whose type is not [Int].
     */
    val max: Int = 0
)
