package space.blokk.net.packet.login

import io.netty.buffer.ByteBuf
import space.blokk.net.MinecraftProtocolDataTypes.writeString
import space.blokk.net.packet.OutgoingPacketCodec

object DisconnectPacketCodec : OutgoingPacketCodec<DisconnectPacket>(0x00, DisconnectPacket::class) {
    override fun DisconnectPacket.encode(dst: ByteBuf) {
        dst.writeString(reason.toJson())
    }
}
