package space.blokk.net.packet.play

import space.blokk.net.packet.Protocol

object PlayProtocol : Protocol(
    "PLAY",
    ChunkDataPacketCodec,
    ChunkLightDataPacketCodec,
    ClientSettingsPacketCodec,
    DeclareCommandsPacketCodec,
    DeclareRecipesPacketCodec,
    DisconnectPacketCodec,
    IncomingKeepAlivePacketCodec,
    IncomingPluginMessagePacketCodec,
    JoinGamePacketCodec,
    OutgoingKeepAlivePacketCodec,
    OutgoingPluginMessagePacketCodec,
    PlayerAbilitiesPacketCodec,
    PlayerInfoPacketCodec,
    PlayerPositionAndLookPacketCodec,
    ServerDifficultyPacketCodec,
    SetCompassTargetPacketCodec,
    SetSelectedHotbarSlotPacketCodec,
    TagsPacketCodec,
    UpdateViewPositionPacketCodec
)
