package space.blokk.net.packet.play

import io.netty.buffer.ByteBuf
import space.blokk.net.packet.OutgoingPacketCodec
import space.blokk.util.bitmask
import space.blokk.util.setBit

object PlayerAbilitiesPacketCodec : OutgoingPacketCodec<PlayerAbilitiesPacket>(0x30, PlayerAbilitiesPacket::class) {
    override fun PlayerAbilitiesPacket.encode(dst: ByteBuf) {
        dst.writeByte(bitmask(invulnerable, flying, canFly))
        dst.writeFloat(flyingSpeed)
        dst.writeFloat(fieldOfView)
    }
}
