package space.blokk.net.packet.play

import io.netty.buffer.ByteBuf
import space.blokk.net.MinecraftProtocolDataTypes.writeVoxelLocation
import space.blokk.net.packet.OutgoingPacketCodec

object SetCompassTargetPacketCodec :
    OutgoingPacketCodec<SetCompassTargetPacket>(0x42, SetCompassTargetPacket::class) {
    override fun SetCompassTargetPacket.encode(dst: ByteBuf) {
        dst.writeVoxelLocation(target)
    }
}
