package space.blokk.net.packet.play

import io.netty.buffer.ByteBuf
import space.blokk.net.MinecraftProtocolDataTypes.writeVarInt
import space.blokk.net.packet.OutgoingPacketCodec

object UpdateViewPositionPacketCodec :
    OutgoingPacketCodec<UpdateViewPositionPacket>(0x40, UpdateViewPositionPacket::class) {
    override fun UpdateViewPositionPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(chunkKey.x)
        dst.writeVarInt(chunkKey.z)
    }
}
