package space.blokk.net.packet.login

import space.blokk.chat.ChatComponent
import space.blokk.net.packet.OutgoingPacket

/**
 * Sent by the server to cancel an ongoing login process.
 *
 * @param reason The reason why the login process was cancelled.
 */
data class DisconnectPacket(val reason: ChatComponent) : OutgoingPacket()
