package space.blokk.net.packet.play

import space.blokk.net.packet.OutgoingPacket
import space.blokk.world.LocationWithRotation
import kotlin.random.Random

/**
 * Teleports the receiving player to the specified location.
 */
data class PlayerPositionAndLookPacket(
    val locationWithRotation: LocationWithRotation,
    val relativeX: Boolean = false,
    val relativeY: Boolean = false,
    val relativeZ: Boolean = false,
    val relativeYaw: Boolean = false,
    val relativePitch: Boolean = false,
    val teleportID: Int = Random.nextInt()
) : OutgoingPacket()
