package space.blokk.config

import space.blokk.logging.Logger
import java.time.Duration

data class BlokkConfig(
    val port: Int,
    val host: String,
    val silentNonServerErrors: Boolean,
    val authenticateAndEncrypt: Boolean,
    val developmentMode: Boolean,
    val minLogLevel: Logger.Level,
    val packetCompressionThreshold: Int,
    val timeout: Duration,
    val packetsBufferSize: Int
)
