package space.blokk.net.packet.play

import space.blokk.net.ProtocolPacketReceivedEventHandler

// NOTE: PacketReceivedEventHandler.of<T> MUST have T specified correctly, otherwise the code breaks at runtime
object PlayProtocolHandler : ProtocolPacketReceivedEventHandler(
    mapOf(
        ClientSettingsPacket::class to ClientSettingsPacketHandler,
        IncomingPluginMessagePacket::class to IncomingPluginMessagePacketHandler,
        IncomingKeepAlivePacket::class to IncomingKeepAlivePacketHandler
    )
)
