package space.blokk.util

import com.google.common.util.concurrent.ThreadFactoryBuilder
import kotlinx.coroutines.asCoroutineDispatcher
import java.util.concurrent.Executors
import java.util.concurrent.ThreadFactory

fun newSingleThreadDispatcher(name: String) =
    Executors.newSingleThreadExecutor { r -> Thread(r, name) }.asCoroutineDispatcher()
