package space.blokk.net.packet.login

import io.netty.buffer.ByteBuf
import space.blokk.net.MinecraftProtocolDataTypes.writeString
import space.blokk.net.MinecraftProtocolDataTypes.writeVarInt
import space.blokk.net.packet.OutgoingPacketCodec

object LoginPluginRequestPacketCodec :
    OutgoingPacketCodec<LoginPluginRequestPacket>(0x04, LoginPluginRequestPacket::class) {
    override fun LoginPluginRequestPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(messageID)
        dst.writeString(channel)
        dst.writeBytes(data)
    }
}
