package space.blokk.net.packet.play

import io.netty.buffer.ByteBuf
import space.blokk.net.MinecraftProtocolDataTypes.readString
import space.blokk.net.packet.IncomingPacketCodec

object IncomingPluginMessagePacketCodec :
    IncomingPacketCodec<IncomingPluginMessagePacket>(0x0B, IncomingPluginMessagePacket::class) {
    override fun decode(msg: ByteBuf): IncomingPluginMessagePacket {
        val channel = msg.readString()
        val data = ByteArray(msg.readableBytes()).also { msg.readBytes(it) }

        return IncomingPluginMessagePacket(channel, data)
    }
}
