package space.blokk.net.packet.login

import space.blokk.net.BlokkSession
import space.blokk.net.PacketReceivedEventHandler

object LoginStartPacketHandler : PacketReceivedEventHandler<LoginStartPacket>() {
    override suspend fun handle(session: BlokkSession, packet: LoginStartPacket) {
        try {
            session.joinProcedure.start(packet)
        } catch (e: IllegalStateException) {
            session.failBecauseOfClient("Client sent LoginStartPacket when it was not allowed")
        }
    }
}
