plugins {
    kotlin("jvm")
    id("com.github.johnrengelman.shadow") version "6.1.0"
}

group = "space.blokk.testplugin"
version = "0.0.1-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    implementation(project(":blokk-api"))
}

tasks {
    compileKotlin {
        kotlinOptions.freeCompilerArgs = listOf(
            "-Xopt-in=kotlin.ExperimentalUnsignedTypes"
        )
    }

    shadowJar {
        archiveFileName.set("TestPlugin.jar")
        destinationDirectory.set(file("../serverData/plugins"))
    }
}
